This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 836437 - [All Lang][fonts-tweak-tool] - Dummy focus shifting on language showing after deletion
[All Lang][fonts-tweak-tool] - Dummy focus shifting on language showing after...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fonts-tweak-tool (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 01:54 EDT by Satyabrata Maitra
Modified: 2012-12-11 23:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 23:55:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Satyabrata Maitra 2012-06-29 01:54:01 EDT
Description of problem:
Suppose user added 2 languages and those are showing in the language pane. Now, if user delete/remove one selected language, after deletion, the focus aotomatically shifted the one remaining language. But, its a dummy focus, and as result, user can see that the Remove button remains disable and the desciption of Alias fonts for that language is also now showing. In this case, user needs to press CRTL and select that language (which will actually work as deselect) and then again select it fresh, then all the disabled fields will be enabled. Its a confusing factor for any user. It should be rectified.

Version-Release number of selected component (if applicable):
fonts-tweak-tool-0.0.5-1.fc17.noarch

How reproducible:
Always

Steps to Reproduce:
1. Open fonts-tweak-tool
2. Add 2 languages.
3. Now, delete/remove either of the two.
4. Observe the focus shifted on one remaining language, but also observe the "remove" button become disabled, and the Font alias section, showing nothing.
  
Actual results:
Focus shifting is acting as a dummy focus.

Expected results:
Focus should not be dummy and the expected scenario should be met.

Additional info:
Comment 1 Jens Petersen 2012-06-29 03:36:02 EDT
Thanks for reporting this - I was meaning to report it too!
Comment 2 Akira TAGOH 2012-12-11 23:55:07 EST
This issue has already been fixed. the latest version of fonts-tweak-tool on f17, 0.0.8-1.fc17 should works.

Note You need to log in before you can comment on or make changes to this bug.